Rapid7 Vulnerability & Exploit Database

Amazon Linux AMI 2: CVE-2014-3634: Security patch for rsyslog (ALAS-2022-1803)

Back to Search

Amazon Linux AMI 2: CVE-2014-3634: Security patch for rsyslog (ALAS-2022-1803)

Severity
8
CVSS
(AV:N/AC:L/Au:N/C:P/I:P/A:P)
Published
11/02/2014
Created
07/16/2022
Added
07/04/2022
Modified
07/14/2022

Description

rsyslog before 7.6.6 and 8.x before 8.4.1 and sysklogd 1.5 and earlier allows remote attackers to cause a denial of service (crash), possibly execute arbitrary code, or have other unspecified impact via a crafted priority (PRI) value that triggers an out-of-bounds array access.

Solution(s)

  • amazon-linux-ami-2-upgrade-rsyslog
  • amazon-linux-ami-2-upgrade-rsyslog-crypto
  • amazon-linux-ami-2-upgrade-rsyslog-debuginfo
  • amazon-linux-ami-2-upgrade-rsyslog-doc
  • amazon-linux-ami-2-upgrade-rsyslog-elasticsearch
  • amazon-linux-ami-2-upgrade-rsyslog-gnutls
  • amazon-linux-ami-2-upgrade-rsyslog-gssapi
  • amazon-linux-ami-2-upgrade-rsyslog-kafka
  • amazon-linux-ami-2-upgrade-rsyslog-libdbi
  • amazon-linux-ami-2-upgrade-rsyslog-mmaudit
  • amazon-linux-ami-2-upgrade-rsyslog-mmjsonparse
  • amazon-linux-ami-2-upgrade-rsyslog-mmkubernetes
  • amazon-linux-ami-2-upgrade-rsyslog-mmnormalize
  • amazon-linux-ami-2-upgrade-rsyslog-mmsnmptrapd
  • amazon-linux-ami-2-upgrade-rsyslog-mysql
  • amazon-linux-ami-2-upgrade-rsyslog-pgsql
  • amazon-linux-ami-2-upgrade-rsyslog-relp
  • amazon-linux-ami-2-upgrade-rsyslog-snmp
  • amazon-linux-ami-2-upgrade-rsyslog-udpspoof

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;